Subject: bug#38131: 27.0.50; [PATCH] lisp/icomplete.el: put text property when text is not nil

From: João Távora <[email-masked]>
Date: Sat, 9 Nov 2019 14:58:35 +0000

I've reverted that commit.  It had other problems.  I will try again
soon to find some other way to make fido-mode behave closer to
ido-mode.  This can be closed, I think.

João

On Sat, Nov 9, 2019 at 11:51 AM João Távora <[email-masked]> wrote:
>
> Sorry about that, will fix it ASAP.
>
> Thanks for the stable reproduction recipe (I thought I saw
> it but it was elusive).
>
> João
>
> On Sat, Nov 9, 2019 at 1:43 AM Juanma Barranquero <[email-masked]> wrote:
> >
> > Apparently caused by this patch:
> >
> > commit 5761a1a3939e23d8e8c725241dd9398a12f191b0
> >  Author: João Távora <[email-masked]>
> >  Date:   2019-11-08 00:11:34 +0000
> >
> >      Nudge icomplete-mode a little closer to fido-mode
> >
> >      * lisp/icomplete.el (icomplete-completions): Don't use ellipsis when
> >      truncating determ in fido-mode.  Highlight the center part of
> >      determ with icomplete-first-match.
>
>
>
> --
> João Távora

-- 
João Távora